It is possible that when SysRq-G is triggered via the keyboard that we will
miss the "up" event and once KGDB lets the kernel go another SysRq will be
required to clear this, without this change.

Signed-off-by: Tom Rini <trini@kernel.crashing.org>

 drivers/char/keyboard.c |    1 +
 1 file changed, 1 insertion(+)

Index: linux-2.6.18-rc7/drivers/char/keyboard.c
===================================================================
--- linux-2.6.18-rc7.orig/drivers/char/keyboard.c	2006-10-13 16:56:39.000000000 +0100
+++ linux-2.6.18-rc7/drivers/char/keyboard.c	2006-10-13 17:09:46.000000000 +0100
@@ -1174,6 +1174,7 @@ static void kbd_keycode(unsigned int key
 		sysrq_down = 0;
 	if (sysrq_down && down && !rep) {
 		handle_sysrq(kbd_sysrq_xlate[keycode], regs, tty);
+		sysrq_down = 0;		/* In case we miss the 'up' event. */
 		return;
 	}
 #endif
